Skip to main content
GET
/
api
/
v1
/
profiles
/
{profile_id}
/
additional_appointments
List additional appointments for a profile
curl --request GET \
  --url https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/additional_appointments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "additional_appointment",
      "attributes": {
        "title": "<string>",
        "effective_from": "2023-12-25",
        "custom_fields": {},
        "label": "<string>",
        "featured": true,
        "external_id": "<string>",
        "effective_to": "2026-01-01",
        "percent_allocation": 100,
        "note": "<div>This is a note with <strong>formatting</strong></div>",
        "note_as_plain_text": "This is a note with formatting"
      },
      "relationships": {
        "profile": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "profile",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        },
        "department": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "department",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        }
      }
    }
  ],
  "meta": {
    "page": {
      "size": 123
    },
    "total": 123
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "last": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Path Parameters

profile_id
string
required

Query Parameters

include
string

Comma-separated list of relationships to include. Allowed: profile, department

filter[key]
string

Filter results. Available filters: title, title.neq, title.cont, title.in, title.nin, effective_from, effective_from.neq, effective_from.lt, effective_from.lte, effective_from.gt, effective_from.gte, label, label.neq, label.cont, label.in, label.nin, featured (boolean), external_id, external_id.neq, external_id.cont, external_id.in, external_id.nin, effective_to, effective_to.neq, effective_to.lt, effective_to.lte, effective_to.gt, effective_to.gte, percent_allocation (number), percent_allocation.neq (number), percent_allocation.lt (number), percent_allocation.lte (number), percent_allocation.gt (number), percent_allocation.gte (number), percent_allocation.in (number), percent_allocation.nin (number), profile, department. Custom fields can also be filtered with filter[custom_fields.field_name].

page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

Response

additional appointments found

data
object[]
required
meta
object